This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 437024 - main.cf inet_protocols hackery introduces invalid syntax
main.cf inet_protocols hackery introduces invalid syntax
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-11 14:12 EDT by Aaron Richton
Modified: 2008-03-12 08:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 08:48:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Richton 2008-03-11 14:12:26 EDT
Description of problem:
postfix.spec (2.5.1-1) puts in:

321 inet_protocols = all        (enable IPv4, and IPv6 if supported)

to main.cf during %install. See postconf(5):

Empty lines and whitespace-only lines are ignored, as are lines whose first
non-whitespace character is a #

So, per syntax, comments must be standalone and must have #. This fails on both
counts; it's invalid syntax. Suggest replacing with:

# (enable IPv4, and IPv6 if supported)
inet_protocols = all

across two lines.

Version-Release number of selected component (if applicable):
postfix-2.5.1-1

How reproducible:
rpm -i
http://koji.fedoraproject.org/packages/postfix/2.5.1/1.fc9/x86_64/postfix-2.5.1-1.fc9.x86_64.rpm

Steps to Reproduce:
1. install rpm-based distro
2. run rpm -i
http://koji.fedoraproject.org/packages/postfix/2.5.1/1.fc9/x86_64/postfix-2.5.1-1.fc9.x86_64.rpm
3. profit? no, you can't profit, mail isn't working.
  
Actual results:
in %post, 
postfix: fatal: unknown inet_protocols value "(enable" in "all        (enable
IPv4, and IPv6 if supported)"

Expected results:
some other issue that's causing 2.5.1-1 to not start clean on a virgin install
that I need to look into next

Additional info:
also affects 2.4.6 builds, not present postfix-2.3.3-2
Comment 1 Thomas Woerner 2008-03-12 08:48:22 EDT
Fixed in rawhide in package postfix-2.5.1-2.fc9.

Note You need to log in before you can comment on or make changes to this bug.